This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 546580 - (CVE-2009-4274) CVE-2009-4274 netpbm: Stack-based buffer overflow by processing X PixMap image header fields
CVE-2009-4274 netpbm: Stack-based buffer overflow by processing X PixMap imag...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100209,reported=20091211,sou...
: Security
Depends On: 563288 567597 760848 760849 760850
Blocks: 580448
  Show dependency treegraph
 
Reported: 2009-12-11 04:57 EST by Jan Lieskovsky
Modified: 2016-03-04 06:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 567597 (view as bug list)
Environment:
Last Closed: 2011-12-13 02:51:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (489 bytes, patch)
2009-12-11 13:09 EST, Jindrich Novy
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2009-12-11 04:57:58 EST
Marc Schoenefeld found a stack-based buffer overflow in
the way netpbm graphics file formats handling library used
to process content of header fields of the X PixMap (XPM)
image file. A remote attacker could provide a specially-crafted
XPM image file and trick the local user into processing it,
which would lead to denial of service (crash of application
using the netpbm library) or, potentially, to execution of
arbitrary code with the privileges of that application.
Comment 3 Jan Lieskovsky 2009-12-11 05:27:45 EST
This issue affects the versions of the netpbm package, as shipped with
Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the netpbm package, as shipped with
Fedora release of 10, 11, and 12.
Comment 5 Jindrich Novy 2009-12-11 13:09:49 EST
Created attachment 377777 [details]
Proposed patch

I have inspected the code and it looks like a next of the upstream thinko series. The attached patch should fix it.
Comment 6 Josh Bressers 2009-12-17 15:55:02 EST
Jindrich,

I'd like to send this patch upstream, do you have a contact? I'm not interested in an embargo, but I don't want to make this public until they have a chance to apply the patch.

Thanks.
Comment 8 Vincent Danen 2010-02-08 22:03:05 EST
This was corrected upstream in 10.47.07 on 20091229:

http://netpbm.svn.sourceforge.net/viewvc/netpbm/stable/converter/ppm/xpmtoppm.c?view=patch&r1=995&r2=1076&pathrev=1076

The upstream changelog contains:

xpmtoppm: fix wild pointer with color index > 127.

so it is unclear whether they were aware of the security implications of this issue.

I have assigned CVE-2009-4274 to this issue.
Comment 12 Vincent Danen 2010-02-09 13:03:00 EST
Notified the oss-security mailing list.
Comment 17 errata-xmlrpc 2011-12-12 16:08:30 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:1811 https://rhn.redhat.com/errata/RHSA-2011-1811.html
Comment 18 Vincent Danen 2011-12-13 10:50:49 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.